> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Notification Preferences

> Manage user notification preferences.

## Get preferences

`GET /api/notification-preferences`

Manage which notifications a user receives.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl https://zeplo.ai/api/notification-preferences \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "email": true,
    "push": true,
    "inApp": true,
    "newMessage": true,
    "campaignCompleted": true,
    "paymentReceived": true,
    "ticketCreated": true,
    "quietHoursEnabled": false,
    "quietHoursStart": "22:00",
    "quietHoursEnd": "08:00"
  }
}
```

***

## Update preferences

`PUT /api/notification-preferences`

```json theme={null}
{
  "email": true,
  "push": false,
  "inApp": true,
  "newMessage": true,
  "campaignCompleted": false
}
```

```bash cURL theme={null}
curl -X PUT https://zeplo.ai/api/notification-preferences \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "email": true, "push": false }'
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.